org.apache.ode.bpel.iapi

## Class ProcessStoreEvent

- java.lang.Object
- - org.apache.ode.bpel.iapi.ProcessStoreEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ProcessStoreEvent
      extends java.lang.Object
      implements java.io.Serializable

  Event generated by the process store.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProcessStoreEvent.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `deploymentUnit`
    `javax.xml.namespace.QName` | `pid` Process identifier.
    `ProcessStoreEvent.Type` | `type` Event type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessStoreEvent(ProcessStoreEvent.Type type, javax.xml.namespace.QName pid, java.lang.String deploymentUnit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final ProcessStoreEvent.Type type

      Event type.
      See Also:
        `ProcessStoreEvent.Type`

    - #### pid

          public final javax.xml.namespace.QName pid

      Process identifier.

    - #### deploymentUnit

          public final java.lang.String deploymentUnit

  - ### Constructor Detail

    - #### ProcessStoreEvent

          public ProcessStoreEvent(ProcessStoreEvent.Type type,
                                   javax.xml.namespace.QName pid,
                                   java.lang.String deploymentUnit)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`